org.apache.uima.analysis_engine

## Enum AnalysisEngineManagement.State

- java.lang.Object
- - java.lang.Enum<AnalysisEngineManagement.State>
  - - org.apache.uima.analysis_engine.AnalysisEngineManagement.State

- All Implemented Interfaces:
    Serializable, Comparable<AnalysisEngineManagement.State>
  Enclosing interface:
    AnalysisEngineManagement

      public static enum AnalysisEngineManagement.State
      extends Enum<AnalysisEngineManagement.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Initializing`
    `Ready`
    `Unavailable`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnalysisEngineManagement.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AnalysisEngineManagement.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unavailable

          public static final AnalysisEngineManagement.State Unavailable

    - #### Initializing

          public static final AnalysisEngineManagement.State Initializing

    - #### Ready

          public static final AnalysisEngineManagement.State Ready

  - ### Method Detail

    - #### values

          public static AnalysisEngineManagement.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnalysisEngineManagement.State c : AnalysisEngineManagement.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnalysisEngineManagement.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.